在ubuntu7.10下安装cadence IC6.10遇到的问题,帮帮忙阿!(还好解决了)

其它类软件,非上述版软件
回复
chaoschin
帖子: 106
注册时间: 2007-09-21 21:46
送出感谢: 0
接收感谢: 0

在ubuntu7.10下安装cadence IC6.10遇到的问题,帮帮忙阿!(还好解决了)

#1

帖子 chaoschin » 2008-03-06 18:32

:(
参考下面的博客安装的,不过那个笔者是在suse10下装的
http://www.edacn.net/index.php/112944/v ... 31791.html

我现在用的是ubuntu7.10 按照上面的网站安装以及设置后。
在终端中运行 lmli
却显示下面的错误
18:31:17 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)
18:31:17 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)
18:31:17 (lmgrd) Can't open /usr/tmp/.flexlm/lmgrdl.31958, errno: 2

下面是我设置的环境变量

alias lmli='/home/eda/ic610/tools/bin/lmgrd -c /home/eda/ic610/share/license/license.dat'
export OA_HOME=/home/eda/ic610/OA
export CDS_ROOT=/home/eda/ic610
export CDS_LIC_FILE=5280@chaos-desktop
export LM_LICENSE_FILE=$CDS_ROOT/share/license/license.dat
export CDS_Netlisting_Mode=Analog
export PATH=$CDS_ROOT/tools/bin:$CDS_ROOT/tools/dfII/bin:$PATH
export MOZILLA_HOME=/usr/bin/netscape


那位朋友帮忙看看阿?
上次由 chaoschin 在 2008-03-18 22:40,总共编辑 1 次。
xzf16
帖子: 60
注册时间: 2007-03-24 15:27
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 xzf16 » 2008-03-06 22:40

装过610,configure的时候总是不成功,现在在用5141
chaoschin
帖子: 106
注册时间: 2007-09-21 21:46
送出感谢: 0
接收感谢: 0

#3

帖子 chaoschin » 2008-03-07 16:29

:( 今天装了solaris10不知道能否装cadence IC6.10 ?
chaoschin
帖子: 106
注册时间: 2007-09-21 21:46
送出感谢: 0
接收感谢: 0

#4

帖子 chaoschin » 2008-03-07 16:30

这个论坛里有讨论安装EDA软件的么?
chaoschin
帖子: 106
注册时间: 2007-09-21 21:46
送出感谢: 0
接收感谢: 0

#5

帖子 chaoschin » 2008-03-18 22:13

没有人解答,在同学的帮助下,终于弄好了。。发个图庆祝下
附件
cds.jpg
上次由 chaoschin 在 2008-03-23 18:52,总共编辑 2 次。
skiptoo
帖子: 52
注册时间: 2007-05-11 12:21
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 skiptoo » 2008-03-19 10:15

lz 厉害阿,我最近刚下载好 ic610 也是用的ubuntu710 现在linux的盘只剩3个g了 估计装不下 了 你能把详细步骤说一下么?能仿真么?波形出得来不? 我以前在RHEL上装的5141 能画图 波形出不来,
谢谢了lz
compaq 3202 au
AMD Turion64/XL56/2G/120G/nv6150
Ubuntu 7.10 Gutsy Gibbon/2.6.22-15
skiptoo
帖子: 52
注册时间: 2007-05-11 12:21
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 skiptoo » 2008-03-19 10:16

还有 你机器配置怎么样 跑起来卡不卡,我们实验室是跑的sun的工作站速度还不错,不知道我的机器能不能跑
compaq 3202 au
AMD Turion64/XL56/2G/120G/nv6150
Ubuntu 7.10 Gutsy Gibbon/2.6.22-15
xzf16
帖子: 60
注册时间: 2007-03-24 15:27
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 xzf16 » 2008-03-19 13:19

楼主怎么弄好的,发个帖来说一下哈
chaoschin
帖子: 106
注册时间: 2007-09-21 21:46
送出感谢: 0
接收感谢: 0

#9

帖子 chaoschin » 2008-03-23 18:39

我的机器配置不是很好。geforcemx440的显卡。512的内存。80G硬盘只安装了一个ubuntu7.10系统
安装过程按照那个suse10那个安装步骤来的

安装后出现了两个错误
一个是
18:31:17 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)
18:31:17 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)
后来自己建立了这个目录并设置这个目录的访问权限为所有。。
之后这个错误消失。
运行icfb时候出现找不到libelf.so.1这个库文件。我在系统的lib目录下找到一个类似的文件libelf.so.0.8.6然后ln到libelf.so.1之后就可以运行了。。。
注意有些打开了视觉效果的可能运行icfb后出现错误。
因为cds不支持3D桌面
我在xorg.conf里面加了
#####################
Section "Extensions"
Option "Composite" "Disable"
EndSection
#####################
注消后再登录。3D效果关闭。
运行icfb

不过我没有实验仿真功能。因为缺少一些技术文件。并且在ic610下用以前版本的技术文件时需要用cds的tool转换。。不过我试了试似乎不通。。
本人也为这个头痛。。。
:cry:
chaoschin
帖子: 106
注册时间: 2007-09-21 21:46
送出感谢: 0
接收感谢: 0

#10

帖子 chaoschin » 2008-03-23 21:45

刚刚试了试在ubuntupakage search里面搜索libelf找到了
这个库libelf1
sudo apt-get install libelf1
即可以安装这个共享库
里面有libelf.so.1这个文件
原先连接的libelf.so.0.8.6是libelf-dev软件包中的
这里原来自己创的连接的可以不管,因为安装后会覆盖掉原来的连接,重新连接到libelf-0.127.so。

下面是我启动icfb的截图。
下面这个类似警告的提示没有了。。
#############################
/home/eda/ic610/tools/dfII/bin/32bit/icfb.exe: /usr/lib/libelf.so.1: no version information available (required by /home/eda/ic610/tools/lib/libvirtuos_sh.so)
##########################
附件
123.png
aspirin001
帖子: 46
注册时间: 2008-03-13 17:00
送出感谢: 0
接收感谢: 0

#11

帖子 aspirin001 » 2008-04-03 10:38

18:31:17 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)
18:31:17 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)

是因为ubuntu7.10(别的版本可能也是)/usr下就没有tmp文件夹,自己建一个改下权限就行了。
tmp
帖子: 126
注册时间: 2007-04-27 22:24
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 tmp » 2008-08-06 23:05

你们关于libelf.so.1的问题之所以可以解决,是因为你们ubuntu的是i386系统,不是amd64.我在UBUNTU amd64下怎么搞都解决不了这个libelf.so.1的问题。包括sudo apt-get install libelf1,那也只是安装个64位版的,运行icfb时一样找不到libelf.so.1。
我已经试过的系统:
UBUNTU I386可以运行。
UBUNTU x86_64不可以运行,提示缺少libelf.so.1
fedora 9 x86_64 可以运行
centOs5.2 x86_64可以运行
tmp
帖子: 126
注册时间: 2007-04-27 22:24
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 tmp » 2008-08-06 23:06

你们关于libelf.so.1的问题之所以可以解决,是因为你们ubuntu的是i386系统,不是amd64.我在UBUNTU amd64下怎么搞都解决不了这个libelf.so.1的问题。包括sudo apt-get install libelf1,那也只是安装个64位版的,运行icfb时一样找不到libelf.so.1。
我已经试过的系统:
UBUNTU I386可以运行。
UBUNTU x86_64不可以运行,提示缺少libelf.so.1
fedora 9 x86_64 可以运行
centOs5.2 x86_64可以运行
gjjjj
帖子: 2
注册时间: 2008-08-14 15:07
送出感谢: 0
接收感谢: 0

#14

帖子 gjjjj » 2008-08-14 15:11

小弟按照楼主的那个方法装了IC610,我OA装到了/home/eda/ic610/OA
环境变量里是OA_HOME=/home/eda/ic610/OA然后输入icfb出现


ERROR: $OA_HOME/bin
/bin) /eda/ic610/OA
is not a valid OA bin directory.
Check your OA installation or update the value
of OA_HOME to point to a valid OA installation.
See the "OpenAccess Installation and Configuration Guide"
for more information.
ERROR: Unable to set OA shared library path.
请高手帮忙,谢谢了
sz_alexchen
帖子: 2
注册时间: 2013-09-30 13:32
系统: UBUNTU 10.04
送出感谢: 0
接收感谢: 0

Re: 在ubuntu7.10下安装cadence IC6.10遇到的问题,帮帮忙阿!(还好解决了)

#15

帖子 sz_alexchen » 2013-09-30 13:36

chaoschin :

我最近装CADENCE CI 610遇到和你一样的问题,后来我在/usr/下面创建/tmp/文件夹后,输入lmli仍然不成功:
15:12:25 (lmgrd)
15:12:25 (lmgrd) Can't open /usr/tmp/.flexlm/lmgrdl.3715, errno: 2
15:12:25 (lmgrd) "chenyu-virtual-machine": Not a valid server hostname, exiting.
15:12:25 (lmgrd) Valid license server system hosts are: "chenyu"
15:12:25 (lmgrd) Using license file "/home/eda/ic610/share/license/license.dat"
15:12:25 (lmgrd) Can't remove statfile /usr/tmp/.flexlm/lmgrdl.3715: errno No such file or directory

能帮我看看是什么原因吗?
回复

回到 “其它类软件”